Appearance
Create an upload from a document structure
POST
https://transkribus.eu/TrpServer/rest/uploadsAnnounces a new document: its metadata and the list of page images that will follow. Returns the upload with its uploadId; then send each image with PUT /uploads/{uploadId} and poll GET /uploads/{uploadId} until every page is uploaded.
Parameters
Query Parameters
collId
Type
integer
Format
"int32"Request Body
application/json
Format
"int32"This is the parameter class for starting a recognition job (TrHtr or PyLaia), it contains all possible parameters for both engines. Depending on which engine is used, some parameters will be ignored. The comment{$fieldName}-Fields are just there to provide some documentation and to be able to determine if that field is used by the decoding Type (so far TrHtr and PyLaia) .
Responses
default response